QwtPoint3D(3)

NAME
QwtPoint3D - QwtPoint3D class defines a 3D point in double coordinates.

SYNOPSIS

#include <qwt_point_3d.h>

  Public Member Functions
QwtPoint3D ()
QwtPoint3D (double x, double y, double z)
Constructs a point with coordinates specified by x, y and z.
QwtPoint3D (const QwtPoint3D &)
QwtPoint3D (const QPointF &)
bool isNull () const
double x () const
double y () const
double z () const
double & rx ()
double & ry ()
double & rz ()
void setX (double x)
Sets the x-coordinate of the point to the value specified by x.
void setY (double y)
Sets the y-coordinate of the point to the value specified by y.
void setZ (double y)
Sets the z-coordinate of the point to the value specified by z.
QPointF toPoint () const
bool operator== (const QwtPoint3D &) const
bool operator!= (const QwtPoint3D &) const

Detailed Description

QwtPoint3D class defines a 3D point in double coordinates.

Constructor & Destructor Documentation

  QwtPoint3D::QwtPoint3D () [inline]
Constructs a null point.

See also
    isNull()

  QwtPoint3D::QwtPoint3D (const QwtPoint3D & other) [inline]
Copy constructor. Constructs a point using the values of the point specified.

  QwtPoint3D::QwtPoint3D (const QPointF & other) [inline]
Constructs a point with x and y coordinates from a 2D point, and a z coordinate of 0.

Member Function Documentation

  bool QwtPoint3D::isNull () const [inline]

Returns
    True if the point is null; otherwise returns false.

A point is considered to be null if x, y and z-coordinates are equal to zero.

  bool QwtPoint3D::operator!= (const QwtPoint3D & other) const [inline]

Returns
    True if this rect and other are different; otherwise returns false.

  bool QwtPoint3D::operator== (const QwtPoint3D & other) const [inline]

Returns
    True, if this point and other are equal; otherwise returns false.

  double & QwtPoint3D::rx () [inline]

Returns
    A reference to the x-coordinate of the point.

  double & QwtPoint3D::ry () [inline]

Returns
    A reference to the y-coordinate of the point.

  double & QwtPoint3D::rz () [inline]

Returns
    A reference to the z-coordinate of the point.

  QPointF QwtPoint3D::toPoint () const [inline]

Returns
    2D point, where the z coordinate is dropped.

  double QwtPoint3D::x () const [inline]

Returns
    The x-coordinate of the point.

  double QwtPoint3D::y () const [inline]

Returns
    The y-coordinate of the point.

  double QwtPoint3D::z () const [inline]

Returns
    The z-coordinate of the point.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.